/*
 * pi - P user Interface
 * 
 * $Id: main.c,v 1.1 2001/02/05 15:51:07 malekith Exp $
 * Author: Michal Moskal <malekith@pld.org.pl>
 * include COPYING-GNU
 */

#include <pi/pi.h>

int main()
{
	struct pi_object *win, *ctx;
	
	pi_init();

	pi_set_tag(pi_root_object, pi_tag_text_middle_up, "_Pi _version 0.0.0");
	win = pi_new_window(pi_add_object(0,
		pi_tag_x, 10,
		pi_tag_y, 10,
		pi_tag_caption, "Hello world!",
	0), 0);

	pi_add(win, button, (0,
			pi_tag_x, 5,
			pi_tag_y, 5,
			pi_tag_caption, "_Well",
		0));
	pi_add(win, button, (0,
			pi_tag_x, 5,
			pi_tag_y, 6,
			pi_tag_caption, "_Helo",
		0));
	pi_add(win, label, (0,
			pi_tag_x, 1,
			pi_tag_y, 1,
			pi_tag_caption, "Tu byem!",
		0));

	ctx = pi_add(win, scrollable, (0, 
			pi_tag_x, 10,
			pi_tag_y, -8,
			pi_tag_w, 20,
			pi_tag_h, 20,
		0));
	pi_set_tag(ctx, pi_tag_max, 21);
	pi_set_tag(ctx, pi_tag_menu_like, 1);

	ctx = pi_add(win, progressbar, (0,
			pi_tag_x, 1,
			pi_tag_y, 2,
			pi_tag_max, 100000,
			pi_tag_pos, 0,
		0));

	pi_exec(win);


	while (pi_int(pos) < pi_int(max)) {
		pi_set_tag(ctx, pi_tag_pos, pi_int(pos) + 1);
		if (pi_progressbar_need_update(ctx)) {
			pi_draw(ctx);
			pi_refresh();
		}
	}

	pi_msgbox(pi_add_object(0,
		pi_tag_caption, 
"1 Hello world How is there ? Is it intesring ? Hello world!"
"2 Hello world How is there ? Is it intesring ? Hello world!"
"3 Hello world How is there ? Is it intesring ? Hello world!"
"4 Hello world How is there ? Is it intesring ? Hello world!"
"\n\n"
"5 Hello world How is there ? Is it intesring ? Hello world!"
"6 Hello world How is there ? Is it intesring ? Hello world!"
"7 Hello world How is there ? Is it intesring ? Hello world!"
"8 Hello world How is there ? Is it intesring ? Hello world!"
"\n"
"1 Hello world How is there ? Is it intesring ? Hello world!"
"2 Hello world How is there ? Is it intesring ? Hello world!"
"3 Hello world How is there ? Is it intesring ? Hello world!"
"4 Hello world How is there ? Is it intesring ? Hello world!"
"\n\n"
"5 Hello world How is there ? Is it intesring ? Hello world!"
"6 Hello world How is there ? Is it intesring ? Hello world!"
"7 Hello world How is there ? Is it intesring ? Hello world!"
"8 Hello world How is there ? Is it intesring ? Hello world!"
,
		pi_tag_title, "Test",
		pi_tag_button_yes, "_Yes",
		pi_tag_button_no, "_No",
		0));

	pi_fini();

	return 0;
}
